--- src/latexdocvisitor.cpp.orig	2012-12-27 13:21:41.000000000 +0100
+++ src/latexdocvisitor.cpp		2012-12-28 19:55:27.000000000 +0100
@@ -1665,7 +1665,16 @@
   {
     m_t << "[width=\\textwidth,height=\\textheight/2,keepaspectratio=true]";
   }
-  m_t << "{" << baseName << "}";
+  m_t << "{" << baseName;
+  if (Config_getBool("USE_PDFLATEX"))
+  {
+    m_t << ".pdf";
+  }
+  else
+  {
+    m_t << ".eps";
+  }
+  m_t << "}";
 
   if (hasCaption)
   {
@@ -1729,7 +1738,16 @@
   {
     m_t << "[width=\\textwidth,height=\\textheight/2,keepaspectratio=true]";
   }
-  m_t << "{" << baseName << "}";
+  m_t << "{" << baseName;
+  if (Config_getBool("USE_PDFLATEX"))
+  {
+    m_t << ".pdf";
+  }
+  else
+  {
+    m_t << ".eps";
+  }
+  m_t << "}";
 
   if (hasCaption)
   {
